Bug 50799 - pg_dump produces broken permissions on views
Summary: pg_dump produces broken permissions on views
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: roswell
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL: http://fts.postgresql.org/db/mw/msg.h...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 14:00 UTC by Carwyn T. Edwards
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 14:00:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carwyn T. Edwards 2001-08-03 14:00:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010802

Description of problem:
pg_dump dumps GRANT/REVOKE for a view before the view itself.
This is a known postgresql bug that has serious implications for future
upgrades.

How reproducible:
Always

Steps to Reproduce:
1.See the attached URL.
2.
3.
	

Additional info:


Given the possible problems associated with upgrading from 7.1.2 to 7.2 in
the future I felt this was worth highlighting. Postgresql 7.1.2 may ship in
RH7.2 and if a patch for this problem is available it should be applied to
7.1.2 if it goes into RH7.2.

See: http://fts.postgresql.org/db/mw/msg.html?mid=1027671

Comment 1 Trond Eivind Glomsrxd 2001-08-06 20:42:08 UTC
Fixed in postgresql-7.1.2-7



Note You need to log in before you can comment on or make changes to this bug.